CONTENTS OF THIS FILE
---------------------

* Introduction
* Requirements
* Installation
* Configuration
* Maintainers


INTRODUCTION
------------

Drupal Bot Builder for Facebook Messenger
The webhook implementation to handle Facebook Messenger API calls


REQUIREMENTS
------------

This module requires (Paragraphs module](https://www.drupal.org/project/paragraphs).


INSTALLATION
------------

1. Install the Bot Builder module as you would normally install
any Drupal contrib module.
2. In your root composer add the following:
  ```
  "repositories": [
    {
      "type": "composer",
      "url": "https://packages.drupal.org/8"
    },
    {
      "type": "package",
      "package": {
          "name": "alefinvest/fb-messenger-php",
          "version": "1.1",
          "type":"drupal-library",
          "source": {
              "url": "https://github.com/alefinvest/fb-messenger-php.git",
              "type": "git",
              "reference": "master"
          }
      }
    }
  ]
  ```
  After that, you can require it:
    `composer require alefinvest/fb-messenger-php`
  This would recognize the name of the package as not coming from packagist. Make sure you use the composer installers library:
  `"composer/installers": "^1.0"`
  This will look into your installer-paths under the "extra" section of your composer.json file:
  ```
   "installer-paths": {
            "web/core": ["type:drupal-core"],
            "web/libraries/{$name}": ["type:drupal-library"],
            "web/modules/contrib/{$name}": ["type:drupal-module"],
            "web/profiles/contrib/{$name}": ["type:drupal-profile"],
            "web/themes/contrib/{$name}": ["type:drupal-theme"],
            "drush/Commands/{$name}": ["type:drupal-drush"]
        },
  ```
  Right there it finds it has to download the library and put it in the web/libraries folder.

  A last thing, because you now manage your libraries with composer now, add the web/libaries folder to your .gitignore file.
3.  Require dbb module with composer:
    `composer require drupal/dbb`
4. Visit https://www.drupal.org/node/1897420 for further information.


CONFIGURATION
--------------

1. Navigate to Administration > Extend and enable the Bot Builder module.

2. Create new node of type chatbot_webhook.

3. Specify the canonical node url as webhook in facebook for messager catbot application
     @see --> https://developers.facebook.com/apps/<your_app_id>/messenger/settings/


MAINTAINERS
-----------

The 1.0.x branch compatibel with Drupal ^8||^9 was created by:

 * Oleksii Bondarenko (alex.mazaltov) - https://www.drupal.org/u/alexmazaltov


LICENSE
-------

CC0 1.0 Universal.
